## libqtdbustest 0.1+13.10.20130815

=== src/CMakeLists.txt ===
include(GenerateExportHeader)
add_compiler_export_flags()

add_subdirectory(watchdog)
add_subdirectory(libqtdbustest)
