## libqtdbustest 0.2%2Bbzr42%2Brepack1

=== debian/control ===
Source: libqtdbustest
Section: devel
Priority: optional
Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               gcovr,
               lcov,
               debhelper (>= 11~),
               dpkg-dev (>= 1.16.1.1),
               gettext,
               google-mock (>= 1.6.0+svn437),
               pkg-config,
               qtbase5-dev,
               python3-dbusmock,
               dbus,
Standards-Version: 4.3.0
Homepage: https://launchpad.net/libqtdbustest
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libqtdbustest.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libqtdbustest

Package: libqtdbustest1
Section: libs
Architecture: any
Multi-Arch: same
Depends: dbus,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library for testing DBus interactions using Qt
 A simple library for testing Qt based DBus services and clients. This
 library is relevant for running unit tests against DBus for Qt
 applications.
 .
 This package contains the shared library.

Package: libqtdbustest1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqtdbustest1 (= ${binary:Version}),
         ${misc:Depends},
Description: Library for testing DBus interactions using Qt (development files)
 A simple library for testing Qt based DBus services and clients. This
 library is relevant for running unit tests against DBus for Qt
 applications.
 .
 This package contains header files needed for development.

Package: qtdbustest-runner
Architecture: any
Depends: libqtdbustest1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         gvfs-backends,
Description: Library for testing DBus interactions using Qt (test runner executable)
 The libqtdbustest library is a simple library for testing Qt based DBus
 services and clients.
 .
 This package contains a simple executable for running a test script
 under a private DBus environment.
