## libqtdbustest 0.2+16.04.20160216

=== data/CMakeLists.txt ===

install(
	FILES
	session.conf
	system.conf
	DESTINATION
	"${CMAKE_INSTALL_DATADIR}/libqtdbustest/"
)
