=== debian/changelog ===
libqtdbustest (0.2+bzr42+repack1-11) unstable; urgency=medium

  * debian/control: Bump to DH compat level version 13. This should
    mitigate the infamous libpam-systemd/schroot bug, which defines
    XDG_RUNTIME to a non-existing directory.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 03 Dec 2020 16:04:54 +0100

libqtdbustest (0.2+bzr42+repack1-10) unstable; urgency=medium

  * debian/control:
    + Add Debian UBports Team to Uploaders: field.
    + Drop B-D on transitional google-mock package, add B-D on googletest
      instead. Add B-D on libgtest-dev (required for recent cmake-extras).
    + Update versioned B-D on cmake-extras to (>= 1.5-7~).
    + Bump Standards-Version: to 4.5.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 03 Dec 2020 12:04:57 +0100

libqtdbustest (0.2+bzr42+repack1-9) unstable; urgency=medium

  * debian/patches:
    + Drop patch 1002_fork-dbus-daemons.patch. Red hering.
  * debian/patches:
    + Add 1003_no-QProcess-waitForstarted-timeout.patch. Never timeout
      while waiting for test runner DBus daemons to appear.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2020 12:54:23 +0100

libqtdbustest (0.2+bzr42+repack1-8) unstable; urgency=medium

  * debian/patches:
    + Add 1002_fork-dbus-daemons.patch. Fork DBus test runner daemons to
      background.
  * debian/rules:
    + Run tests with -V cmdline arg.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2020 12:05:01 +0100

libqtdbustest (0.2+bzr42+repack1-7) unstable; urgency=medium

  * debian/changelog:
    + Fix bug reference in previous upload stanza.
  * debian/rules:
    + Undefine env vars DBUS_{SESSION,SYSTEM}_BUS_ADDRESS to hide existing DBus
      instance from the package build.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2020 10:33:27 +0100

libqtdbustest (0.2+bzr42+repack1-6) unstable; urgency=medium

  * debian/rules:
    + Let's be honest to ourselves and dig into the failing builds on some
      architectures once more. (See #879937).
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/{control,compat}:
    + Bump DH compat level to version 12.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Mar 2020 22:26:58 +0100

libqtdbustest (0.2+bzr42+repack1-5) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
  * debian/rules:
    + Ignore test failures. Locally, tests always succeed. Only on Debian's
      buildd infrastructure, test failures can be observed at random. This
      is not beautiful, but alas. (Closes: #879937).
    + Honour 'nocheck' in DEB_BUILD_OPTONS. Thanks lintian.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/libqtdbustest1.symbols:
    + Add Build-Depends-Package: meta data field. Thanks lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Feb 2019 09:57:33 +0100

libqtdbustest (0.2+bzr42+repack1-4) unstable; urgency=medium

  * debian/patches:
    + Add 2001_run-test-in-verbose-mode.patch. Run unit tests with
      QDBUS_DEBUG=1.
  * debian/rules:
    + Run check target, rather than test target. It produces the wanted debug
      output.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Apr 2018 13:34:31 +0200

libqtdbustest (0.2+bzr42+repack1-3) unstable; urgency=medium

  * debian/patches:
    + Add 1001_use-full-path-when-executing-sleep.patch. Always launch sleep
      executable with full path. Fixes a test failure observed in buster, not
      present in stretch.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Apr 2018 23:00:07 +0200

libqtdbustest (0.2+bzr42+repack1-2) unstable; urgency=medium

  * Test builds against architectures where the previous upload failed
    (obviously a series of artifact FTBFSes). (Closes: #879937).

  * debian/rules:
    + Add override_dh_missing and move --fail-missing option there.
    + Ship auto-generated ChangeLog.bzr as upstream ChangeLog.
    + Drop now unneeded --parallel argument from dh call.
  * debian/control:
    + Fix typo in Maintainer: field (in the full name).
    + Add B-Ds: gcovr, lcov.
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/{control,compat}:
    + Bump to DH version level 11.
  * debian/copyright:
    + Explain why we repacked the orig tarball.
    +  Use secure URI for copyright format reference.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 23 Mar 2018 13:30:25 +0100

libqtdbustest (0.2+bzr42+repack1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #879472).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Oct 2017 01:22:39 +0200

libqtdbustest (0.2+17.04.20170106-0ubuntu1) zesty; urgency=medium

  * Compatibility with unversioned cmake-extras modules (LP: #1563573)

 -- Pete Woods <pete.woods@canonical.com>  Fri, 06 Jan 2017 10:44:47 +0000

libqtdbustest (0.2+16.04.20160216-0ubuntu1) xenial; urgency=medium

  [ Gerry Boland ]
  * Increase timeout when waiting for mock dbus service to appear on the
    bus. (LP: #1541854)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 16 Feb 2016 09:29:55 +0000

libqtdbustest (0.2+15.10.20150918-0ubuntu1) wily; urgency=medium

  * Fix building on wily (LP: #1451507)

 -- Pete Woods <ci-train-bot@canonical.com>  Fri, 18 Sep 2015 10:50:35 +0000

libqtdbustest (0.2+15.10.20150604-0ubuntu1) wily; urgency=medium

  [ Pete Woods ]
  * Fix FTBFS on PPC (LP: #1451507)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 04 Jun 2015 11:03:52 +0000

libqtdbustest (0.2+14.04.20140325-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Correctly handle crashing child processes (LP: #1296744)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 25 Mar 2014 12:50:21 +0000

libqtdbustest (0.2+14.04.20140303.1-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Valgrind is not present on all architectures. (LP: #1263926,
    #1263925, #1262638)

