=== debian/control ===
--- 
+++ 
@@ -4,19 +4,22 @@
 Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
-               cmake-extras (>= 0.10),
+               cmake-extras (>= 1.5-7~),
                gcovr,
                lcov,
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                gettext,
-               google-mock (>= 1.6.0+svn437),
+               googletest,
+               libgtest-dev,
                pkg-config,
                qtbase5-dev,
                python3-dbusmock,
                dbus,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://launchpad.net/libqtdbustest
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libqtdbustest.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libqtdbustest
