## libqtdbustest 0.3.2

=== debian/changelog ===
libqtdbustest (0.3.2-3build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:38:02 +0000

libqtdbustest (0.3.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:31:51 +0000

libqtdbustest (0.3.2-3build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:41:08 +0000

libqtdbustest (0.3.2-3) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control: Drop Debian UBports Team from Uploaders: field.
    Team is now maintainer.

  [ Marius Gripsgard ]
  * debian/patches: Add patch to workaround cmake bug (Closes: #1058527)

 -- Marius Gripsgard <mariogrip@debian.org>  Sun, 28 Jan 2024 01:35:54 +0100

libqtdbustest (0.3.2-2) unstable; urgency=medium

  * debian/control:
    + Move package maintenance over to Debian UBports Team.
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Aug 2023 08:28:46 +0200

libqtdbustest (0.3.2-1) unstable; urgency=medium

  * New upstream release
  * Switch upstream to ubports (launchpad version has been abandoned)
  * debian/symbols: Refresh symbols to match upstream release
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 00:00:42 +0200

libqtdbustest (0.2+bzr42+repack1-14) unstable; urgency=medium

  * debian/patches:
    + Replace 1001_use-full-path-when-executing-sleep.patch by
      1001_disable-suicidal-process-test.patch. (Closes: #1021251).
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Oct 2022 21:00:06 +0000

libqtdbustest (0.2+bzr42+repack1-13) unstable; urgency=medium

  * debian/patches:
    + Update 1004_make-reading-address-from-dbus-daemon-more-robust.patch.
      Provide backwards-compatible behavior in starting dbus-daemon in
      DBusTestRunner. (Closes: #1020848).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2022 13:34:01 +0200

libqtdbustest (0.2+bzr42+repack1-12) unstable; urgency=medium

  * debian/patches:
    + Add 1004_make-reading-address-from-dbus-daemon-more-robust.patch.
      Thanks to Guido Berhörster for dealing with these kinds of test
      failures. (Closes: #1019458).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Sep 2022 13:00:50 +0200
