=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: libqtdbustest
 Section: devel
 Priority: optional
-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
- Debian UBports Team <team+ubports@tracker.debian.org>,
+ Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                cmake-extras (>= 1.5-7~),
                gcovr,
                lcov,
                debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1.1),
                gettext,
                googletest,
                libgtest-dev,
@@ -18,11 +18,11 @@
                qtbase5-dev,
                python3-dbusmock,
                dbus,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://launchpad.net/libqtdbustest
-Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libqtdbustest.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libqtdbustest
+Homepage: https://gitlab.com/ubports/development/core/libqtdbustest
+Vcs-Git: https://salsa.debian.org/ubports-team/libqtdbustest.git
+Vcs-Browser: https://salsa.debian.org/ubports-team/libqtdbustest
 
 Package: libqtdbustest1
 Section: libs
@@ -41,7 +41,6 @@
 Package: libqtdbustest1-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: libqtdbustest1 (= ${binary:Version}),
          ${misc:Depends},
 Description: Library for testing DBus interactions using Qt (development files)
