=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
RUN_TESTS=yes
endif

# hide system's DBus interfaces from this build...
undefine DBUS_SESSION_BUS_ADDRESS
undefine DBUS_SYSTEM_BUS_ADDRESS

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	if [ "$(RUN_TESTS)" = "yes" ]; then dh_auto_test --no-parallel -- ARGS='-V'; fi
