=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/libqtdbustest/-/tags .*/libqtdbustest-(\d\S+)\.tar\.gz
