## libqtdbustest 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,7 @@
 set(QTDBUSTEST_WATCHDOG_BIN "${CMAKE_INSTALL_FULL_LIBEXECDIR}/libqtdbustest/watchdog")
 
 add_definitions(
-	-std=c++11
+	-std=c++17
 	-fno-permissive
 	-pedantic
 	-Wall
