=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,7 @@
 
 set(CMAKE_AUTOMOC OFF)
-include(FindGMock)
+find_package(GMock)
 set(CMAKE_AUTOMOC ON)
-
-find_package("Valgrind" REQUIRED)
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 include_directories(${GMOCK_INCLUDE_DIRS})
@@ -26,11 +24,11 @@
 	${UNIT_TESTS_SRC}
 )
 
-qt5_use_modules(
+target_link_libraries(
 	unit-tests
-	Core
-	DBus
-	Test
+	Qt5::Core
+	Qt5::DBus
+	Qt5::Test
 )
 
 target_link_libraries(
@@ -40,7 +38,7 @@
 	${GMOCK_LIBRARIES}
 )
 
-add_valgrind_test(
+add_test(
 	unit-tests
 	unit-tests
 )
