=== src/qdbus-test-runner/CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,9 @@
 	qtdbustest
 )
 
-qt5_use_modules(
+target_link_libraries(
 	qdbus-simple-test-runner
-	Core
+	Qt5::Core
 )
 
 install(
