=== debian/changelog ===
libqtdbustest (0.3.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + In B-D, switch from pkg-config to pkgconf.
    + Bump Standards-Version: to 4.7.0. No changes needed.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/rules:
    + Add get-orig-source target (for the maintainers' convenience).
  * debian/patches/1004_make-reading-address-from-dbus-daemon-more-robust.patch:
    + Fix typo in patch header.
  * debian/upstream/metadata:
    + Update file. Add more fields.
  * debian/copyright:
    + Update attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 10:54:49 +0100
