=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libqtdbustest
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <mariogrip@debian.org>,
@@ -14,11 +13,11 @@
                gettext,
                googletest,
                libgtest-dev,
-               pkg-config,
+               pkgconf,
                qtbase5-dev,
                python3-dbusmock,
                dbus,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/libqtdbustest
 Vcs-Git: https://salsa.debian.org/ubports-team/libqtdbustest.git
