=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,6 @@
 
 override_dh_auto_test:
 	if [ "$(RUN_TESTS)" = "yes" ]; then dh_auto_test --no-parallel -- ARGS='-V'; fi
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=..
