## libqtdbustest 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,19 @@
-project(libqtdbustest CXX)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.24)
+project(libqtdbustest VERSION "0.4.0" LANGUAGES CXX)
 
+option(ENABLE_QT6 "Enable building with Qt6" OFF)
+if (ENABLE_QT6)
+    set(QT_VERSION_MAJOR 6)
+    set(QT_SUFFIX "-qt6")
+else()
+    set(QT_VERSION_MAJOR 5)
+endif()
+
+set(ABI_VERSION 1)
 set(API_VERSION 1)
-set(ABI_VERSION 1)
+if (NOT ENABLE_QT6)
+set(API_SUFFIX "-${API_VERSION}")
+endif()
 
 set(GETTEXT_PACKAGE libqtdbustest)
 
@@ -10,14 +21,7 @@
 
 find_package(PkgConfig REQUIRED)
 
-find_package(Qt5Core REQUIRED)
-include_directories(${Qt5Core_INCLUDE_DIRS})
-
-find_package(Qt5DBus COMPONENTS Qt5DBusMacros REQUIRED)
-include_directories(${Qt5DBus_INCLUDE_DIRS})
-
-find_package(Qt5Test REQUIRED)
-include_directories(${Qt5Test_INCLUDE_DIRS})
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus Test)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
