=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 
 add_subdirectory(watchdog)
 add_subdirectory(libqtdbustest)
+add_subdirectory(qdbus-test-runner)
