=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -26,14 +26,14 @@
 
 target_link_libraries(
 	unit-tests
-	Qt5::Core
-	Qt5::DBus
-	Qt5::Test
+	Qt::Core
+	Qt::DBus
+	Qt::Test
 )
 
 target_link_libraries(
 	unit-tests
-	qtdbustest
+	qtdbustest${QT_SUFFIX}
 	${GTEST_LIBRARIES}
 	${GMOCK_LIBRARIES}
 )
