=== src/libqtdbustest/CMakeLists.txt ===
--- 
+++ 
@@ -17,20 +17,20 @@
 )
 
 add_library(
-	qtdbustest
+	qtdbustest${QT_SUFFIX}
 	SHARED
 	${QTDBUSTEST_SRC}
 )
 
 target_link_libraries(
-	qtdbustest
-	Qt5::Core
-	Qt5::DBus
-	Qt5::Test
+	qtdbustest${QT_SUFFIX}
+	Qt::Core
+	Qt::DBus
+	Qt::Test
 )
 
 set_target_properties(
-	qtdbustest
+	qtdbustest${QT_SUFFIX}
 	PROPERTIES
 	VERSION ${API_VERSION}.0.0
 	SOVERSION ${ABI_VERSION}
@@ -38,14 +38,15 @@
 )
 
 install(
-	TARGETS qtdbustest
+	TARGETS qtdbustest${QT_SUFFIX}
 	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
-	PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libqtdbustest-${API_VERSION}/libqtdbustest"
+	PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libqtdbustest${QT_SUFFIX}${API_SUFFIX}/libqtdbustest"
 )
 
 # Package config
 
-set(LIBQTDBUSTEST_PC "${CMAKE_CURRENT_BINARY_DIR}/libqtdbustest-${API_VERSION}.pc")
+set(LIBQTDBUSTEST_PC "${CMAKE_CURRENT_BINARY_DIR}/libqtdbustest${QT_SUFFIX}${API_SUFFIX}.pc")
+set(LIBQTDBUSTEST_REQUIRES Qt${QT_VERSION_MAJOR}Core)
 configure_file("libqtdbustest.pc.in" "${LIBQTDBUSTEST_PC}" @ONLY)
 
 install(
