=== src/qdbus-test-runner/CMakeLists.txt ===
--- 
+++ 
@@ -6,12 +6,12 @@
 
 target_link_libraries(
 	qdbus-simple-test-runner
-	qtdbustest
+	qtdbustest${QT_SUFFIX}
 )
 
 target_link_libraries(
 	qdbus-simple-test-runner
-	Qt5::Core
+	Qt::Core
 )
 
 install(
