=== src/watchdog/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 target_link_libraries(
 	watchdog
-	Qt5::Core
+	Qt::Core
 )
 
 install(
