=== debian/changelog ===
libqtdbustest (0.4.0-2) unstable; urgency=medium

  * debian/control:
    + Add B:/R: to qtdbustest-common: libqtdbustest1 (<< 0.4.0-1~). (Closes:
      #1114762).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 13 Sep 2025 09:47:31 +0200

libqtdbustest (0.4.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
    - Support building with CMake 4. (Closes: #1113192)."
  * debian/patches:
    + Add 1006_drop-libexecdir-special-behaviour-for-Debian.patch. Drop special
      CMake adjustments for libexecdir if building on a Debian-like system.
    + Update headers of patches 1003 and 1004 (forwarded upstream, adjust long
      description).
  * debian/control:
    + Assure that libqtdbustest-qt6-1 -> qtdbustest-common and libqtdbustest1
      -> qtdbustest-common have a relations that are binNMU-able.
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Trivially rebase patches 1005 and 2001.
  * debian/libqtdbustest1.symbols:
    + Drop file. Discontinuing .symbol file provisioning for C++ libraries.

  [ Guido Berhörster ]
  * debian/:
    + Dually build against Qt5 and Qt6.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Sep 2025 17:28:02 +0200
