=== debian/control ===
--- 
+++ 
@@ -15,9 +15,10 @@
                libgtest-dev,
                pkgconf,
                qtbase5-dev,
+               qt6-base-dev,
                python3-dbusmock,
                dbus,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/libqtdbustest
 Vcs-Git: https://salsa.debian.org/ubports-team/libqtdbustest.git
@@ -28,23 +29,54 @@
 Architecture: any
 Multi-Arch: same
 Depends: dbus,
+         qtdbustest-common (>= ${source:Version}),
+         qtdbustest-common-bin (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Description: Library for testing DBus interactions using Qt
+Description: Library for testing DBus interactions using Qt 5
  A simple library for testing Qt based DBus services and clients. This
- library is relevant for running unit tests against DBus for Qt
+ library is relevant for running unit tests against DBus for Qt 5
  applications.
  .
- This package contains the shared library.
+ This package contains the shared Qt 5 library.
 
 Package: libqtdbustest1-dev
 Section: libdevel
 Architecture: any
 Depends: libqtdbustest1 (= ${binary:Version}),
          ${misc:Depends},
-Description: Library for testing DBus interactions using Qt (development files)
+Description: Library for testing DBus interactions using Qt 5 -- development files
  A simple library for testing Qt based DBus services and clients. This
- library is relevant for running unit tests against DBus for Qt
+ library is relevant for running unit tests against DBus for Qt 5
+ applications.
+ .
+ This package contains header files needed for development.
+
+Package: libqtdbustest-qt6-1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: dbus,
+         qtdbustest-common (>= ${source:Version}),
+         qtdbustest-common-bin (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: Library for testing DBus interactions using Qt 6
+ A simple library for testing Qt based DBus services and clients. This
+ library is relevant for running unit tests against DBus for Qt 6
+ applications.
+ .
+ This package contains the shared Qt 6 library.
+
+Package: libqtdbustest-qt6-dev
+Section: libdevel
+Architecture: any
+Depends: libqtdbustest-qt6-1 (= ${binary:Version}),
+         ${misc:Depends},
+Description: Library for testing DBus interactions using Qt 6 -- development files
+ A simple library for testing Qt based DBus services and clients. This
+ library is relevant for running unit tests against DBus for Qt 6
  applications.
  .
  This package contains header files needed for development.
@@ -55,9 +87,32 @@
          ${shlibs:Depends},
          ${misc:Depends},
          gvfs-backends,
-Description: Library for testing DBus interactions using Qt (test runner executable)
+Description: Library for testing DBus interactions using Qt -- test runner executable
  The libqtdbustest library is a simple library for testing Qt based DBus
  services and clients.
  .
  This package contains a simple executable for running a test script
  under a private DBus environment.
+
+Package: qtdbustest-common
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Breaks: libqtdbustest1 (<< 0.4.0-1~),
+Replaces: libqtdbustest1 (<< 0.4.0-1~),
+Description: Library for testing DBus interactions using Qt -- common data
+ The libqtdbustest library is a simple library for testing Qt based DBus
+ services and clients.
+ .
+ This package contains data files common to all library variants.
+
+Package: qtdbustest-common-bin
+Architecture: any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Description: Library for testing DBus interactions using Qt -- common binaries
+ The libqtdbustest library is a simple library for testing Qt based DBus
+ services and clients.
+ .
+ This package contains helper binaries common to all library variants.
